Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 82099

Summary: man output garbled
Product: [Retired] Red Hat Linux Reporter: stuart newman <stuart.newman>
Component: groffAssignee: Thomas Woerner <twoerner>
Status: CLOSED NOTABUG QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: awol, gczarcinski
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-06-14 16:01:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description stuart newman 2003-01-17 15:05:30 UTC
Description of problem:
Output from the man command is garbled.  For example, from a telnet session:

RPM(8)                           Red Hat Linux                          RPM(8)

NAME
       rpm â<88><92> RPM Package Manager

SYNOPSIS
   QUERYING AND VERIFYING PACKAGES:
       rpm {â<80><90>^Hâ<80><90>q|â<80><90>^Hâ<80><90>â<80><90>^Hâ<80><90>query}

       rpm {â<80><90>^Hâ<80><90>V|â<80><90>^Hâ<80><90>â<80><90>^Hâ<80><90>verify

       rpm â<80><90>^Hâ<80><90>â<80><90>^Hâ<80><90>import PUBKEY ...

       rpm {â<80><90>^Hâ<80><90>K|â<80><90>^Hâ<80><90>â<80><90>^Hâ<80><90>checks
           PACKAGE_FILE ...

   INSTALLING, UPGRADING, AND REMOVING PACKAGES:
       rpm {â<80><90>^Hâ<80><90>i|â<80><90>^Hâ<80><90>â<80><90>^Hâ<80><90>instal

       rpm {â<80><90>^Hâ<80><90>U|â<80><90>^Hâ<80><90>â<80><90>^Hâ<80><90>upgrad

       rpm {â<80><90>^Hâ<80><90>F|â<80><90>^Hâ<80><90>â<80><90>^Hâ<80><90>freshe
Output in an Xterm session is also garbled, but different.

Version-Release number of selected component (if applicable):
man-1.5j-11

How reproducible:
Always

Steps to Reproduce:
1.man rpm
2.
3.
    
Actual results:
garbled output

Expected results:
clear output

Additional info:

Comment 1 Bill Nottingham 2003-01-30 05:21:28 UTC
*** Bug 83020 has been marked as a duplicate of this bug. ***

Comment 2 Bill Nottingham 2003-02-06 16:41:51 UTC
*** Bug 83500 has been marked as a duplicate of this bug. ***

Comment 3 Eido Inoue 2003-02-07 20:18:35 UTC
this is a groff/unicode error

Comment 4 Florian La Roche 2003-02-08 00:17:03 UTC
This seems to work with the newest rpms in rawhide: groff-1.18.1-11 and
man-1.5k-5

greetings,

Florian La Roche


Comment 5 stuart newman 2003-02-10 14:17:26 UTC
How do I access these updated modules?

Comment 6 stuart newman 2003-02-10 14:18:13 UTC
Shouldn't errata be created for psyche?

Comment 7 Florian La Roche 2003-02-10 14:34:59 UTC
No, normally only security updates are done.

greetings,

Florian La Roche


Comment 8 stuart newman 2003-02-10 18:41:54 UTC
This fixed everything I can see but the apostrophe (') character. It displays 
as â<80><99>.

Comment 9 Florian La Roche 2003-02-10 19:34:02 UTC
Please specify what exactly you are running, what versions and why this should
be a problem.

Thanks,

Florian La Roche


Comment 10 stuart newman 2003-02-10 19:35:54 UTC
I am running Red Hat 8.0 with groff 1.18.1-11 and man 1.5k-5.  The command is 
man rpm.

Comment 11 Florian La Roche 2003-02-10 19:59:02 UTC
Works for me with current versions. Probably a setup problem on your end
to not have a UTF-8 console?

Florian La Roche


Comment 12 stuart newman 2003-02-10 20:00:53 UTC
How do I set up a UTF-8 console.  The term type is vt100.  How do I set up to 
use plain old ASCII?

Comment 13 Stephen Samuel 2003-02-24 11:13:42 UTC
> Probably a setup problem on your end to not have a UTF-8 console?

Saying that it's a setup problem not to have something set up that almost nobody
knows about seems , well, SILLY.

BTW: my quickest workaround was to 
setenv LC_ALL=C
This sets the local to old-style ascii, where everything seems to work much better
(including a 50x increase in grep's speed in some instances)

Comment 14 Thomas Woerner 2004-04-22 12:19:09 UTC
Should be fixed with the rawhide packages of groff and man.


Comment 15 Thomas Woerner 2004-06-14 16:01:01 UTC
Closing due to user inactivity.